import { jsx } from "react/jsx-runtime";
import { TokenXET as TokenXET$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenXET = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "XET", "data-name": "TokenXET", ...props, children: /* @__PURE__ */ jsx(TokenXET$1, { variant }) });
  }
);
TokenXET.displayName = "TokenXET";
Object.assign(TokenXET, { isGdsIcon: true });
export {
  TokenXET
};
